#!/usr/bin/python3

import sys
import argparse
from main import Wobuzz


description = "A music player made by The Wobbler."

parser = argparse.ArgumentParser(description=description)

parser.add_argument("track", nargs="*", help="Plays audio files the from given paths.", metavar="TRACKS")
parser.add_argument("-p", "--playlist", help="Imports a playlist from the given path.", metavar="PLAYLIST_PATH")

arguments = parser.parse_args()

app = Wobuzz()

if arguments.playlist:
    print(arguments.playlist)
    app.player.current_playlist.load_from_m3u(arguments.playlist)

if arguments.track:
    print(arguments.track)
    app.player.current_playlist.load_from_paths(arguments.track)

sys.exit(app.qt_app.exec())

